Package net.commoble.exmachina.api

# Interface Receiver

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface Receiver
Function which is invoked for `SignalReceiver`s in a signal graph after a signal graph update occurs.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(net.minecraft.world.level.LevelAccessor level, int power)`
Listener method invoked when a signal graph update which includes the SignalReceiver node.

## Method Details

### accept

void accept(net.minecraft.world.level.LevelAccessor level, int power)
Listener method invoked when a signal graph update which includes the SignalReceiver node.

Parameters:
  `level` - Level in which the signal graph updated
  `power` - The new signal power level assigned to the receiver node in the range [0,15]